Subject: Re: Re: bug#18765: Emacs 24.4 release candidate 1: "term/w32-win.el" is missing on Windows

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Oct 2014 05:46:50 +0300

[Please keep the bug address in the CC list.]

> From: "Yanning Du" <[email-masked]>
> Date: Sun, 19 Oct 2014 10:18:02 +0800
> 
> The contents of F:/build-emacs/emacs-24.3.94/src/epaths.h:
> 
> #define PATH_LOADSEARCH "%emacs_dir%/share/emacs/24.3.94/lisp"
> #define PATH_SITELOADSEARCH "%emacs_dir%/share/emacs/24.3.94/site-lisp;%emacs_dir%/share/emacs/site-lisp"
> #define PATH_DUMPLOADSEARCH "f:/build-emacs/emacs-24.3.94/lisp"
> #define PATH_EXEC "%emacs_dir%/libexec/emacs/24.3.94/i686-pc-mingw32"
> #define PATH_DATA "%emacs_dir%/share/emacs/24.3.94/etc"
> #define PATH_BITMAPS ""
> #define PATH_DOC "%emacs_dir%/share/emacs/24.3.94/etc"
> #define PATH_INFO "%emacs_dir%/share/info"
> #define PATH_GAME "%emacs_dir%/var/games/emacs"
> #define PATH_X_DEFAULTS ""
> 
> 
> I have neither PATH_LOADSEARCH nor PATH_SITELOADSEARCH
> defined in my environment and registry. 
> 
> Although emacs_dir is defined in registry, I think it is added
> by former emacs 24.3 automatically when it runs.

Please remove it from the registry and try again.

Also, how did you invoke Emacs after building it?  From the command
prompt (and if so, which shell), from a desktop shortcut, Start->Run
dialog, something else?

> Before Emacs 24.4, I used configure.bat to build and it is OK.
> However when I were using it to build emacs 24.4, it said:
> 
> *** THIS METHOD OF BUILDING EMACS IS NO LONGER SUPPORTED.     **
> *** INSTEAD, FOLLOW THE INSTRUCTIONS FROM INSTALL.            **
> 
> So I use the new method.

That is the correct method of building Emacs now.